
From: Ingo Molnar <mingo@elte.hu>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |   11 +++++++++++
 1 files changed, 11 insertions(+)

diff -puN Documentation/kernel-parameters.txt~tune-vmalloc-size-docs Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~tune-vmalloc-size-docs	Wed Sep 15 16:11:15 2004
+++ 25-akpm/Documentation/kernel-parameters.txt	Wed Sep 15 16:11:15 2004
@@ -467,6 +467,11 @@ running once the system is up.
 	hd?=		[HW] (E)IDE subsystem
 	hd?lun=		See Documentation/ide.txt.
 
+	highmem=nn[KMG]	[KNL,BOOT] forces the highmem zone to have an exact
+			size of <nn>. This works even on boxes that have no
+			highmem otherwise. This also works to reduce highmem
+			size on bigger boxes.
+
 	hisax=		[HW,ISDN]
 			See Documentation/isdn/README.HiSax.
 
@@ -1326,6 +1331,12 @@ running once the system is up.
 			This is actually a boot loader parameter; the value is
 			passed to the kernel using a special protocol.
 
+	vmalloc=nn[KMG]	[KNL,BOOT] forces the vmalloc area to have an exact
+			size of <nn>. This can be used to increase the
+			minimum size (128MB on x86). It can also be used to
+			decrease the size and leave more room for directly
+			mapped kernel RAM.
+
 	vmhalt=		[KNL,S390]
 
 	vmpoff=		[KNL,S390] 
_
